require("Settings")

last_filename = ""
last_filepath = ""

max_mod = 0
fpath = "/photo"
for filename in lfs.dir(fpath) do
  filepath = fpath .. "/" .. filename
  mod = lfs.attributes( filepath, "modification" )
  if mod > max_mod then
    max_mod = mod
    last_filename = filename
    last_filepath = filepath
  end
end


ans = fa.MailSend {
       from = from,
       headers = "To: "..rcpt.."\r\nFrom: "..from.."\r\nSubject: "..subject,
       body = body,
       server = server,
       user = user,
       password = password,
       port = port,                   -- FlashAir W-03はこの行削除
       attachment = last_filepath,
       ContentType = "image/jpg"
}
